############################################
# Warning
#   This package must be handled 
#   via /svn/soft/build_system/iurt/trunk/
############################################


Name:		iurt
Version:	0.6.29
Release:	%mkrel 1
License:	GPLv2+
Summary:	Packages rebuilder
Group:		Development/Other
URL:		http://svnweb.mageia.org/soft/build_system/iurt/trunk/
Source:		%{name}-%{version}.tar.xz
Source1:	cauldron.conf

BuildArch:	noarch
Requires:	sudo
# for testsuite:
BuildRequires:	perl-RPM4 
BuildRequires:	perl-File-Lockf 
BuildRequires:	mdv-distrib-tools 
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-File-NCopy 
BuildRequires:	perl-Mkcd-Commandline 
BuildRequires:	perl-String-Escape
BuildRequires:	perl-Sys-Load


%description
iurt is a collection of tools to create an automatic rebuild system. It
contains the rebuild script, iurt, as well as the scheduler, ulri, and the
upload script, emi.

%prep
%autosetup -p1

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT
install -d -m 0755 %{buildroot}%{_sysconfdir}/iurt/build/
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/iurt/build/cauldron.conf

%check
make check
# (tv) check that iurt loads OK:
perl -Ilib ./iurt --help > /dev/null

%files
%doc NEWS README
%{_bindir}/emi
%{_bindir}/iurt
%{_bindir}/ulri
%{_sbindir}/iurt_root_command
%{perl_vendorlib}/Iurt
%dir %{_sysconfdir}/iurt
%config(noreplace) %{_sysconfdir}/iurt/*


%changelog
* Sat Dec 31 2016 pterjan <pterjan> 0.6.29-1.mga6
+ Revision: 1078852
- 0.6.29
- iurt: support chroot tarballs with non gz compression
- ulri,emi: fix deletion of src.rpm with non mandatory architectures

* Tue Nov 08 2016 pterjan <pterjan> 0.6.28-1.mga6
+ Revision: 1065804
- 0.6.28
- ulri: only fail succesful arches if previous failure was from a mandatory
  arch
- emi: skip all posts for non finishers instead of hardcoding a list
- ulri: fix sending failure email causing a crash

* Mon Oct 17 2016 pterjan <pterjan> 0.6.27-1.mga6
+ Revision: 1061307
- 0.6.27
- emi: fix a bug where genhdlist2 was skipped when doing a secondary upload
  containing a noarch at the same time as some other uploads
- fix reuse of {arch} part of the tree which is used by ulri for both builds
  in progress and already done, while emi expects it to be only for done ones
- iurt: write macros to /etc/rpm/macros in the chroot
- ulri: fix handling of failed builds causing a crash

* Sat Oct 15 2016 pterjan <pterjan> 0.6.26-4.mga6
+ Revision: 1060972
- Add more fixes from git

* Tue Oct 11 2016 pterjan <pterjan> 0.6.26-3.mga6
+ Revision: 1060151
- Fix some mandatory architectures being wrongly rejected

* Thu Oct 06 2016 pterjan <pterjan> 0.6.26-2.mga6
+ Revision: 1059137
- Add a few fixes from git
- Enable testsuite
- be less spammy when running iurt for testing

* Tue Oct 04 2016 pterjan <pterjan> 0.6.26-1.mga6
+ Revision: 1058307
- 0.6.26
- ulri: when failing to send a build to a machine do not try sending all the
  other pending builds there
- ulri: reduce ssh ConnectTimeout to 5 and enable ServerAliveInterval
- ulri, emi:
  o move some code to library functions
  o share the code loading the state from the file tree
- add first test
- improve arch compatibility checking
- do not give up on a build when failing to check its status

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Nov 23 2015 pterjan <pterjan> 0.6.25-2.mga6
+ Revision: 905344
- Mark the config file as config

* Tue Nov 17 2015 blino <blino> 0.6.25-1.mga6
+ Revision: 903914
- 0.6.25
- drop arcfour cipher usage (not enabled by default in latest openssh packages)
- iurt: force installing all translations whatever the host system locale is
- emi:
  o keep src.rpm until all arch are done
  o upload packages for extra arches even if mandatory arches have
    been uploaded already
  o do not reupload src/noarch packages with non-mandatory arches
    if already uploaded before
  o do not overwrite .youri file on subsequent uploads, use a timestamp suffix
- ulri: keep other builds going when a failure occurs on non-mandatory arch

* Sat Oct 31 2015 tv <tv> 0.6.24-1.mga6
+ Revision: 896917
- speed up installing packages
- support sharding the build with --num_shards and --shard_id
- retry only once installing buildrequires
- enhance timeout doc and log its value

* Tue Feb 17 2015 pterjan <pterjan> 0.6.23-3.mga5
+ Revision: 815397
- Add sample config file

* Wed Oct 15 2014 umeabot <umeabot> 0.6.23-2.mga5
+ Revision: 748383
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 pterjan <pterjan> 0.6.23-1.mga5
+ Revision: 738281
- 0.6.23
- remove old src.rpm before recreating it (mga#14243)
- delete potentially incomplete files when copying to local_spool
  fails (like when disk is full)

* Tue Sep 16 2014 umeabot <umeabot> 0.6.22-3.mga5
+ Revision: 680587
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 tmb <tmb> 0.6.22-2.mga5
+ Revision: 675498
- rebuild for new perl-RPM4

* Mon Jun 02 2014 pterjan <pterjan> 0.6.22-1.mga5
+ Revision: 630663
- 0.6.22
- don't close stdin if --stop is used (mga#13318)
- add a README
- fix builds being skipped when a build node is unreachable

  + tv <tv>
    - package README...

* Wed Apr 30 2014 pterjan <pterjan> 0.6.21-1.mga5
+ Revision: 618965
- 0.6.21
- fix code handling dependencies
- fix broken error email
- fix lock cleanup

* Fri Apr 18 2014 pterjan <pterjan> 0.6.20-1.mga5
+ Revision: 616785
- 0.6.20
- close stdin when --shell is not used
- add an option to discard built packages
- install icecream when it is enabled
- allow to specify dependent builds

* Fri Oct 18 2013 umeabot <umeabot> 0.6.19-2.mga4
+ Revision: 521317
- Mageia 4 Mass Rebuild

  + danf <danf>
    - package the NEWS file
    - use an HTTP URL

* Sun Jan 20 2013 pterjan <pterjan> 0.6.19-1.mga3
+ Revision: 389849
- 0.6.19
 * fix missing used function in emi and ulri
 * use unique tmpfile for dumping macros

* Sat Jan 12 2013 umeabot <umeabot> 0.6.18-2.mga3
+ Revision: 354594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 pterjan <pterjan> 0.6.18-1.mga3
+ Revision: 351117
- 0.6.18
 * fix potentially non uploaded packages on one arch

* Wed Jan 02 2013 pterjan <pterjan> 0.6.17-1.mga3
+ Revision: 337704
- 0.6.17
 * write not_on_this_arch to status file
 * fix support of non distro specific arch/mandatory_arch

* Mon Dec 31 2012 pterjan <pterjan> 0.6.16-1.mga3
+ Revision: 336797
- 0.6.16
 * fix chroot cleaning in parallel mode
 * fix for some packages missing from status file

* Mon Dec 10 2012 pterjan <pterjan> 0.6.15-1.mga3
+ Revision: 329433
- 0.6.15
 * fix status file in parallel mode
 * get rid of cache and concurrent mode
 * don't mention srpms in unknown state in the status file
- Fix license

* Mon Dec 10 2012 pterjan <pterjan> 0.6.14-1.mga3
+ Revision: 329332
- Add BuildRequires
- 0.6.14
 * kill build if nothing is printed for 5 minutes and
   system is idle
 * write status file even if the build is successful
 * allow setting some env variables to define and default to
   setting PERL_EXTUTILS_AUTOINSTALL and PERL_AUTOINSTALL to
   --skipdeps
 * emi: allow setting per distro mandatory_arch
 * ulri: allow setting per distro arch
 * support parallel build

* Thu Nov 01 2012 pterjan <pterjan> 0.6.13-1.mga3
+ Revision: 311830
- 0.6.13
- use rpmbuild/ rather than rpm/
  (need invalidating chroots)
- various code cleanups and simplification
  0.6.12
- mount /dev/shm as tmpfs using the helper, safer
- enforce presence of the archs we want

  + tv <tv>
    - rip BuildRoot

* Wed Sep 12 2012 tv <tv> 0.6.11-1.mga3
+ Revision: 293119
- mount /dev/shm as --bind like other mount points (mga#7329)

* Mon Sep 10 2012 tv <tv> 0.6.10-1.mga3
+ Revision: 291589
- fix false positive when looking for errors
- fix always telling to rebuild
- only rely on exit code to assess success or faillure of urpm
  (greping for errors leaded to false positives)

* Sun Sep 02 2012 tv <tv> 0.6.9-1.mga3
+ Revision: 287401
- failing to mount /dev/pts is not a fatal error

* Sun Sep 02 2012 tv <tv> 0.6.8-2.mga3
+ Revision: 287394
- BR perl-File-NCopy perl-Mkcd-Commandline perl-String-Escape for testsuite
- BR perl-MIME-tools for testsuite
- BR mdv-distrib-tools for testsuite
- BR perl-File-Lockf for testsuite
- BR perl-RPM4 for testsuite
- add a basic 'testsuite' ensuring that iurt loads OK

* Sat Sep 01 2012 tv <tv> 0.6.8-1.mga3
+ Revision: 287113
- fix import loop

* Fri Aug 31 2012 tv <tv> 0.6.7-1.mga3
+ Revision: 286783
- fix removing chroots
- internal cleanups
- log not cleaning chroots due mount points still being there
- mount /dev/shm in chroots too (needed for eg: python)

* Wed Aug 15 2012 pterjan <pterjan> 0.6.6-1.r5364.1.mga3
+ Revision: 281419
- Update to new svn snapshot
 * Fixes default media name (s/Main/Core/)
 * Improves chroot handling
 * Support using btrfs snaphots

* Mon Mar 26 2012 tv <tv> 0.6.6-1.r3852.1.mga2
+ Revision: 226966
- always show why iurt got killed when free space or log size is an issue
- better error messages when running as root or w/o sudo
- kill unused/untested features
- make it load the needed File::lockf module
- simplified code
- require sudo (mga#5112)

* Wed Mar 21 2012 pterjan <pterjan> 0.6.6-1.r3553.1.mga2
+ Revision: 225557
- Update to latest svn
 * Accept synthesis files with less than 1000 packages
 * Kill unionfs support
 * Lock the log file when writing to allow sharing it
 * Do not use --buildrequires for non src rpms

* Sun Mar 11 2012 pterjan <pterjan> 0.6.6-1.r3264.1.mga2
+ Revision: 222581
- Update to latest svn

* Sun Feb 05 2012 boklm <boklm> 0.6.6-1.mga2
+ Revision: 204701
- new version

* Mon Jan 02 2012 pterjan <pterjan> 0.6.5-0.r2556.1.mga2
+ Revision: 189731
- Set packager tag to "user <user>"
- Send emails to user@<domain>
- Use mageia maintainers database
- Update to latest svn:
 - Use a different directory for each arch on build machine, avoid problems when both arch of the same package are built on the same node at the same time
 - Fix section extraction
- stop installing suggests
- allow giving additional macros to iurt
- handle building for multiple sections
- add missing arch compat cases for arm
- give up chroot creation when untar fails

* Sun May 15 2011 pterjan <pterjan> 0.6.5-0.r877.2.mga1
+ Revision: 98931
- Rebuild for fixed find-requires

* Wed Apr 13 2011 pterjan <pterjan> 0.6.5-0.r877.1.mga1
+ Revision: 84788
- Update to r877

* Tue Apr 05 2011 blino <blino> 0.6.5-0.r855.1.mga1
+ Revision: 80611
- new snapshot:
  o use mga-youri-submit
  o stop using mdv-youri-core

* Wed Mar 23 2011 blino <blino> 0.6.5-0.r720.1.mga1
+ Revision: 75922
- install meta-task first for prefer.vendor.list to be used

* Thu Mar 17 2011 blino <blino> 0.6.5-0.r683.1.mga1
+ Revision: 73539
- update to r683
- iurt:
  o always use basesystem-minimal instead of basesystem
  o when building chroot, do not use --distrib but use media from
    base_media in config
  o ignore gpg-pubkey packages in installed packages list (boklm)
  o backport a one-liner fix from mdv: "it should say where it lacks
    disk space" (bogdano, tv)
- emi: Upload packages in submission order (pterjan)

* Tue Feb 15 2011 boklm <boklm> 0.6.5-0.r351.1.mga1
+ Revision: 51896
- remove require on mkcd

  + pterjan <pterjan>
    - Update to r351

  + blino <blino>
    - new version

* Tue Jan 18 2011 pterjan <pterjan> 0.6.4-7.r320.0.mga1
+ Revision: 23610
- Update to r320

* Tue Jan 18 2011 pterjan <pterjan> 0.6.4-7.r319.0.mga1
+ Revision: 23593
- Update to r319

* Mon Jan 17 2011 pterjan <pterjan> 0.6.4-7.r312.0.mga1
+ Revision: 21472
- Update to r312

* Wed Nov 10 2010 boklm <boklm> 0.6.4-7.r122.0.mga1
+ Revision: 8
- imported package iurt

